Archive DjangoAnalytics extension
Open, Needs TriagePublic

Description

Reason
Archive it!

To-Do list

  • Archive documentation on mediawiki.org (no documentation)
  • Remove from mediawiki/extensions/mediawiki/skins (along with in .gitmodules).
  • Remove tests in integration/config (zuul/layout.yaml ).
  • Remove from translatewiki (groups/MediaWiki/mediawiki-extensions.txt/groups/MediaWiki/mediawiki-skins.txt).
  • Remove manifest/other references from mediawiki/vagrant if they exist.
  • Empty repository and add an ARCHIVED file.
  • Archive Phabricator project <#ProjectX> for associated extension/skin. (no project)
  • Edit Phabricator project <#ProjectX> description for associated extension/skin with a link to this ticket. (no project)
  • Archive the extension's diffusion repository: (provide the Diffusion repository callsign or URL).
  • Mark the repository read-only in Gerrit: (provide Gerrit Repository URL).
  • Delete the GitHub mirror: (provide GitHub repository URL).
Reedy created this task.Jul 18 2018, 12:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2018, 12:08 AM
Liuxinyu970226 updated the task description. (Show Details)
Liuxinyu970226 updated the task description. (Show Details)
Liuxinyu970226 updated the task description. (Show Details)
Dinoguy1000 renamed this task from Archiv DjangoAnalytics extension to Archive DjangoAnalytics extension.Jul 18 2018, 6:08 AM
Zoranzoki21 added a subscriber: Zoranzoki21.

Taking that. I will remove claim when I done with things which I can to do.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptJul 18 2018, 11:28 AM
Umherirrender added a subscriber: Umherirrender.

Contains only python from the fundraising team. If the code is still needed it should be moved to another named git repo, because it is not a mediawiki extension in php

Change 451052 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions@master] Remove DjangoAnalytics

https://gerrit.wikimedia.org/r/451052

Change 451052 merged by Umherirrender:
[mediawiki/extensions@master] Remove DjangoAnalytics

https://gerrit.wikimedia.org/r/451052

Change 451053 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[translatewiki@master] Remove comment about Django Analytics

https://gerrit.wikimedia.org/r/451053

Umherirrender updated the task description. (Show Details)Aug 7 2018, 5:44 PM

Change 451055 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] Archive mediawiki/extensions/DjangoAnalytics

https://gerrit.wikimedia.org/r/451055

Change 451053 merged by jenkins-bot:
[translatewiki@master] Remove comment about Django Analytics

https://gerrit.wikimedia.org/r/451053

Umherirrender updated the task description. (Show Details)Aug 7 2018, 5:48 PM

DStrine moved this task from Analysis to Blocked & not fr-tech on the Fundraising-Backlog board.

@DStrine Does that mean you approve the archiving of this software? See T199850#4485686.

Ejegg added a subscriber: Ejegg.Aug 8 2018, 12:09 AM

Yes, please go ahead and kill this. It appears to be an obsolete (untouched by fr-tech since 2013) copy of wikimedia/fundraising/tools/DjangoBannerStats, which itself is on the verge of being deleted.

Change 451055 merged by jenkins-bot:
[integration/config@master] Archive mediawiki/extensions/DjangoAnalytics

https://gerrit.wikimedia.org/r/451055

Krinkle updated the task description. (Show Details)
Zoranzoki21 removed Zoranzoki21 as the assignee of this task.Aug 8 2018, 9:33 AM
Zoranzoki21 removed a project: User-Zoranzoki21.
Zoranzoki21 removed a subscriber: Zoranzoki21.

Removing me, because is this done.